package com.yunfeiyun.agmp.fms.service.impl;

import java.util.List;

import com.yunfeiyun.agmp.fms.domain.SysWarnread;
import com.yunfeiyun.agmp.fms.mapper.SysWarnreadMapper;
import com.yunfeiyun.agmp.fms.service.ISysWarnreadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 系统预警已读Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-07-05
 */
@Service
public class SysWarnreadServiceImpl implements ISysWarnreadService
{
    @Autowired
    private SysWarnreadMapper sysWarnreadMapper;

    /**
     * 查询系统预警已读
     * 
     * @param warnreadId 系统预警已读主键
     * @return 系统预警已读
     */
    @Override
    public SysWarnread selectSysWarnreadByWarnreadId(String warnreadId)
    {
        return sysWarnreadMapper.selectSysWarnreadByWarnreadId(warnreadId);
    }

    /**
     * 查询系统预警已读列表
     * 
     * @param sysWarnread 系统预警已读
     * @return 系统预警已读
     */
    @Override
    public List<SysWarnread> selectSysWarnreadList(SysWarnread sysWarnread)
    {
        return sysWarnreadMapper.selectSysWarnreadList(sysWarnread);
    }

    /**
     * 新增系统预警已读
     * 
     * @param sysWarnread 系统预警已读
     * @return 结果
     */
    @Override
    public int insertSysWarnread(SysWarnread sysWarnread)
    {
        return sysWarnreadMapper.insertSysWarnread(sysWarnread);
    }

    /**
     * 修改系统预警已读
     * 
     * @param sysWarnread 系统预警已读
     * @return 结果
     */
    @Override
    public int updateSysWarnread(SysWarnread sysWarnread)
    {
        return sysWarnreadMapper.updateSysWarnread(sysWarnread);
    }

    /**
     * 批量删除系统预警已读
     * 
     * @param warnreadIds 需要删除的系统预警已读主键
     * @return 结果
     */
    @Override
    public int deleteSysWarnreadByWarnreadIds(String[] warnreadIds)
    {
        return sysWarnreadMapper.deleteSysWarnreadByWarnreadIds(warnreadIds);
    }

    /**
     * 删除系统预警已读信息
     * 
     * @param warnreadId 系统预警已读主键
     * @return 结果
     */
    @Override
    public int deleteSysWarnreadByWarnreadId(String warnreadId)
    {
        return sysWarnreadMapper.deleteSysWarnreadByWarnreadId(warnreadId);
    }
}
